## org.apache.lucene.spatial.tier
Class Shape

    java.lang.Object
      org.apache.lucene.spatial.tier.Shape

All Implemented Interfaces:
  Serializable

    public class Shape

extends Object
implements Serializable

NOTE: This API is still in flux and might change in incompatible ways in the next release.

See Also:
  Serialized Form

Constructor Summary
`Shape(String tierId)`

Method Summary
`void` `addBox(double boxId)`
`List<Double>` `getArea()`
`String` `getTierId()`
`boolean` `isInside(double boxId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Shape

    public Shape(String tierId)

Method Detail

### addBox

    public void addBox(double boxId)

### getArea

    public List<Double> getArea()

### getTierId

    public String getTierId()

### isInside

    public boolean isInside(double boxId)

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.